MethodClosure (Groovy 5.0.8)

Package: org.codehaus.groovy.runtime

## [Java] Class MethodClosure

- org.codehaus.groovy.runtime.MethodClosure

-     public class MethodClosure
      extends Closure

  Represents a method on an object using a closure, which can be invoked at any time.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static boolean` | `ALLOW_RESOLVE` |
    `static String` | `ANY_INSTANCE_METHOD_EXISTS` |
    `static String` | `NEW` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Closure` | `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, OWNER_FIRST, OWNER_ONLY, TO_SELF, maximumNumberOfParameters, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodClosure(Object owner, String method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `doCall(Object arguments)`
    `` | `public String` | `getMethod()`
    `` | `public Object` | `getOwner()`
    `` | `public Class<?>` | `getOwnerClass()` Since: 5.0.0
    `` | `public Object` | `getProperty(String property)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Closure` | `andThen, andThenSelf, andThenSelf, asWritable, call, call, call, clone, compose, composeSelf, composeSelf, curry, curry, dehydrate, doCall, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Field Detail

    - #### public static boolean ALLOW_RESOLVE

    - #### public static final String ANY_INSTANCE_METHOD_EXISTS

    - #### public static final String NEW

  - ### Constructor Detail

    - #### public MethodClosure(Object owner, String method)

  - ### Method Detail

    - #### protected Object doCall(Object arguments)

    - #### public String getMethod()

    - #### @Override
      public Object getOwner()

    - #### public Class<?> getOwnerClass()

      Since:
        5.0.0

    - #### @Override
      public Object getProperty(String property)